%define name	mugshot 
%define version	1.1.37
%define release	%mkrel 1
%define mozver %(rpm -q --queryformat %%{VERSION} mozilla-firefox)

Name:		%{name}
Version:	%{version} 
Release:	%{release}
Summary:	Companion software for mugshot.org

Group:		Networking/WWW
License:	GPL
URL:		http://mugshot.org/
Source0:	http://download.mugshot.org/client/sources/linux/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	glib2-devel >= 2.6
BuildRequires:	gtk2-devel >= 2.6
BuildRequires:	loudmouth-devel >= 1.0.3-3
BuildRequires:	libjpeg-devel
BuildRequires:	dbus-glib-devel >= 0.61
BuildRequires:	curl-devel >= 7.15
BuildRequires:	libpcre-devel
BuildRequires:	libGConf2-devel >= 2.8
BuildRequires:	libxscrnsaver-devel
BuildRequires:	mozilla-firefox-devel >= 2.0
BuildRequires:	autoconf2.5

%description
Mugshot works with the server at mugshot.org to extend 
the panel, web browser, music player and other parts of the desktop with 
a "live social experience." It's fun and easy.


%prep
%setup -q 

%build
%configure2_5x --with-gecko-idl=%_datadir/idl/firefox-%mozver --with-gecko-headers=%_includedir/firefox-%mozver --with-xpidl=%_libdir/firefox-%mozver/xpidl
%make 

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %buildroot%_libdir/mugshot/firefox/components/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas mugshot-uri-handler
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas mugshot-uri-handler

%postun
%clean_icon_cache hicolor

%files
%defattr(-,root,root,-)
%{_bindir}/mugshot
%{_bindir}/mugshot-uri-handler
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/24x24/apps/*.gif
%{_datadir}/icons/hicolor/32x32/apps/*.gif
%{_datadir}/icons/hicolor/48x48/apps/*.gif
%{_datadir}/icons/hicolor/128x128/apps/*.png
%{_datadir}/mugshot
%{_datadir}/gnome/autostart/mugshot.desktop
%{_sysconfdir}/gconf/schemas/mugshot-uri-handler.schemas
%_libdir/mugshot/


%changelog
* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 1.1.37-1mdv2007.0
+ Revision: 131537
- fix buildrequires
- new version

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 1.1.33-1mdv2007.1
+ Revision: 118683
- new version
- new version
- drop patch

* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 1.1.30-1mdv2007.1
+ Revision: 100920
- new version

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 1.1.28-1mdv2007.1
+ Revision: 92114
- new version
- fix build with new firefox

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.26-1mdv2007.1
+ Revision: 89518
- new version
- unpack patch

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.1.25-2mdv2007.1
+ Revision: 86044
- fix buildrequires
- new version

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1.1.24-1mdv2007.0
+ Revision: 79161
- new version

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 1.1.22-1mdv2007.1
+ Revision: 73515
- Import mugshot



* Fri Oct 27 2006 Gtz Waschk <waschk@mandriva.org> 1.1.22-1mdv2007.1
- fix build
- drop patch 0
- new version

* Wed Sep 27 2006 Götz Waschk <waschk@mandriva.org> 1.1.16-1mdv2007.0
- fix build with firefox
- update the patch
- new version

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-3mdv2007.0
- patch to add muine support

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-2mdv2007.0
- fix buildrequires

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdv2007.0
- new version

* Fri Jul 14 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.8-1mdv2007.0
- Package from Reinout van Schouwen <reinouts@gnome.org>
- Use autoconf 2.5
- Fix BuildRequires
- Use macros in scriptlets and missing preun
- Remove duplicate source
- First Mandriva version

* Tue Jul 11 2006 Reinout van Schouwen <reinouts@gnome.org> - 1.1.7-1mdv
- Mandriva Cooker build

* Tue Jul 11 2006 Havoc Pennington <hp@redhat.com> - 1.1.7-1
- 1.1.7

* Wed Jun 28 2006 Havoc Pennington <hp@redhat.com> - 1.1.6-1
- 1.1.6

* Fri Jun  9 2006 Havoc Pennington <hp@redhat.com> - 1.1.5-1
- 1.1.5

* Mon May 29 2006 Havoc Pennington <hp@redhat.com> - 1.1.3-1
- 1.1.3

* Sat May 27 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-2
- add requirement on patched loudmouth

* Fri May 26 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-1
- 1.1.2

* Mon May 22 2006 Havoc Pennington <hp@redhat.com> - 1.1.1-1
- 1.1.1

* Mon May 22 2006 Havoc Pennington <hp@redhat.com> - 1.1.0-1
- Initial package
